> ## Name

> TextureRectangleEnable - 3D API texture rectangle enable

> ## Usage

> TextureRectangleEnable[i] = bool(enable)

> ## Valid Enumerants

> enable: true, false

> ## Description

> Enable/disable OpenGL non-power-of-two texturing. See the OpenGL NV_texture_rectangle specification for details.

> The standard reset callback sets the TextureRectangleEnable[i] state to bool(false).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> Not applicable.

> ## See Also

> Texture1DEnable, Texture2DEnable, Texture3DEnable, TextureCubeMapEnable, Texture1D, Texture2D, Texture3D, TextureCubeMap, TextureRectangle, TextureEnvColor, TextureEnvMode, TextureFactor, TextureMatrix, TextureTransform, TextureTransformFlags, Texture, MagFilter, MaxMipLevel, MinFilter, MipFilter, MipMapLodBias